/**
 * @file wiring_analog.c
 * @brief Provides Arduino types and functions on the Propeller
 *
 * Copyright (c) 2013 by Martin Heermance
 * MIT Licensed
 */

#include <Arduino.h>

/*
static const int Us = 1000000;
static const int Ms = 1000;

*/

static const int Ctrduty = 6;
static const int Dutyperiod = 0x1010101;   

int analogRead(uint8_t)
{
  return -1;
}

void analogReference(uint8_t mode)
{
}

void analogWrite(uint8_t pin, int duty)
{
  CTRA = 0;
  FRQA = (Dutyperiod * duty);
  CTRA = ((Ctrduty << 26) + pin);
}
